2005-05-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Version 12.2.

2005-05-02  Akira TAGOH  <tagoh@redhat.com>

	* configure.ac (LIBIIIMP_MAJOR_VERSION): set to 1.
	(LIBIIIMP_MINOR_VERSION): set to 0.
	NOTE: ABI was broken. bumped soname then. now it's libiiimp.so.1

2005-04-22  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* data/comp-annotation-value.c: remove RCS/CVS $Id$
	* data/comp-annotation.c: remove RCS/CVS $Id$
	* data/comp-binaryfile-object.c: remove RCS/CVS $Id$
	* data/comp-ccdef.c: remove RCS/CVS $Id$
	* data/comp-char-with-feedback.c: remove RCS/CVS $Id$
	* data/comp-client-descriptor.c: remove RCS/CVS $Id$
	* data/comp-contents.c: remove RCS/CVS $Id$
	* data/comp-feedback-attr.c: remove RCS/CVS $Id$
	* data/comp-icattribute.c: remove RCS/CVS $Id$
	* data/comp-imattribute.c: remove RCS/CVS $Id$
	* data/comp-inputmethod-descriptor.c: remove RCS/CVS $Id$
	* data/comp-jarfile-object.c: remove RCS/CVS $Id$
	* data/comp-keyevent.c: remove RCS/CVS $Id$
	* data/comp-language.c: remove RCS/CVS $Id$
	* data/comp-misc.c: remove RCS/CVS $Id$
	* data/comp-object-descriptor.c: remove RCS/CVS $Id$
	* data/comp-operation.c: remove RCS/CVS $Id$
	* data/comp-string.c: remove RCS/CVS $Id$
	* data/comp-text.c: remove RCS/CVS $Id$
	* data/iiimp-dataP.h: remove RCS/CVS $Id$
	* data/iiimp-message.h: remove RCS/CVS $Id$
	* data/iiimp-misc.c: remove RCS/CVS $Id$
	* data/im-aux-simple.c: remove RCS/CVS $Id$
	* data/im-aux-value.c: remove RCS/CVS $Id$
	* data/im-commit-string.c: remove RCS/CVS $Id$
	* data/im-connect-reply.c: remove RCS/CVS $Id$
	* data/im-connect.c: remove RCS/CVS $Id$
	* data/im-createic.c: remove RCS/CVS $Id$
	* data/im-forward-event-with-operations-reply.c: remove RCS/CVS $Id$
	* data/im-forward-event-with-operations.c: remove RCS/CVS $Id$
	* data/im-forward-event.c: remove RCS/CVS $Id$
	* data/im-geticvalues-reply.c: remove RCS/CVS $Id$
	* data/im-geticvalues.c: remove RCS/CVS $Id$
	* data/im-getimvalues-reply.c: remove RCS/CVS $Id$
	* data/im-getimvalues.c: remove RCS/CVS $Id$
	* data/im-invalid-message.c: remove RCS/CVS $Id$
	* data/im-lookup-choice-draw.c: remove RCS/CVS $Id$
	* data/im-lookup-choice-process.c: remove RCS/CVS $Id$
	* data/im-lookup-choice-start.c: remove RCS/CVS $Id$
	* data/im-message.c: remove RCS/CVS $Id$
	* data/im-misc.c: remove RCS/CVS $Id$
	* data/im-preedit-draw.c: remove RCS/CVS $Id$
	* data/im-preedit-start-reply.c: remove RCS/CVS $Id$
	* data/im-register-trigger-keys.c: remove RCS/CVS $Id$
	* data/im-seticvalues.c: remove RCS/CVS $Id$
	* data/im-setimvalues.c: remove RCS/CVS $Id$
	* data/im-simple.c: remove RCS/CVS $Id$
	* data/im-status-draw.c: remove RCS/CVS $Id$
	* data/im-trigger-notify.c: remove RCS/CVS $Id$
	* data/print-misc.c: remove RCS/CVS $Id$
	* data/print-misc.h: remove RCS/CVS $Id$
	* misc/data-util.c: remove RCS/CVS $Id$
	* misc/handler.c: remove RCS/CVS $Id$
	* misc/handler.h: remove RCS/CVS $Id$
	* misc/input-context.c: remove RCS/CVS $Id$
	* misc/input-context.h: remove RCS/CVS $Id$
	* misc/input-method.c: remove RCS/CVS $Id$
	* misc/input-method.h: remove RCS/CVS $Id$
	* misc/opcode-reply.c: remove RCS/CVS $Id$
	* misc/opcode-reply.h: remove RCS/CVS $Id$
	* misc/perror.c: remove RCS/CVS $Id$
	* misc/request-reply.c: remove RCS/CVS $Id$
	* misc/request-reply.h: remove RCS/CVS $Id$
	* misc/request.c: remove RCS/CVS $Id$
	* misc/role-data-client.c: remove RCS/CVS $Id$
	* misc/role-data-client.h: remove RCS/CVS $Id$
	* misc/role-data-server.c: remove RCS/CVS $Id$
	* misc/role-data-server.h: remove RCS/CVS $Id$
	* misc/sequence.c: remove RCS/CVS $Id$
	* misc/sequence.h: remove RCS/CVS $Id$
	* misc/stream-socket.c: remove RCS/CVS $Id$
	* misc/stream-socket.h: remove RCS/CVS $Id$
	* misc/stream-tls.c: remove RCS/CVS $Id$
	* misc/stream.c: remove RCS/CVS $Id$
	* misc/stream.h: remove RCS/CVS $Id$

2005-04-22  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* data/comp-client-descriptor.c (iiimp_client_descriptor_unpack):
	back out incorrect change in 2563.

2005-04-14  Jens Petersen  <petersen@redhat.com>

	* iiimf-lib-protocol.pc.in: New file for pkg-config.

	* autogen.sh: Pass --copy to automake.

	* Makefile.am (pkgconfig_DATA): Add pkg-config file.

	* configure.ac:  Output iiimf-lib-client.pc.

2005-04-13  Jens Petersen  <petersen@redhat.com>

	* Makefile.am (ACLOCAL_AMFLAGS): Include toplevel acfiles.

	* configure.ac: Name package iiimf-lib-protocol, bump version, and
	update project mail address.  Do not call AC_CONFIG_AUX_DIR.
	Do not override PACKAGE and VERSION.  Call AM_INIT_AUTOMAKE
	without arguments.

2005-03-29  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* misc/stream-socket.c (create_socket_stream_unix): service can be
	NULL or "\0"
	* misc/stream-tls.c (create_tls_stream_unix): service can be NULL
	or "\0"

2005-03-28  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* data/comp-file-operation-reply.c (added)
	* data/im-ns-listener.c (removed)
	* data/im-file-operation.c (added)
	* data/im-ns.c (removed)
	* data/iiimp-dataP.h
	* data/im-ns-reply.c (removed)
	* data/print-misc.c
	* data/iiimp-message.h
	* data/im-message.c
	* data/im-ns-listener-reply.c (removed)
	* data/im-file-operation-reply.c (added)
	* data/comp-file-operation.c
	* Makefile.am

	Added the new protocols (IM_FILE_OPERATION and 
        IM_FILE_OPERATION_REPLY). These two protocols have replace 
	all the protocols previously added to support the namespace 
	based I/O related operations.

2005-03-20  Akira TAGOH  <tagoh@redhat.com>

	* Makefile.am (iiimincludedir): Use $(includedir)/iiim.
	  iiimp header files are intentionally installed under
	  /usr/include/iiim according to the directory structure change
	  proposal.
	(iiiminclude_HEADERS): Use it instead of include_HEADERS.

2005-03-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* data/im-ns.c
	* data/iiimp-dataP.h
	* data/im-ns-reply.c
	* data/print-misc.c
	* data/iiimp-message.h
	* data/im-message.c

	Additional protocols to support the Namespace based I/O API equivalents
	of fstat() and ftruncate()

2005-03-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-message.c

	Fixed the typo (accidentally left the break statement while 
	processing IM_WRITE_NS_REPLY message)

2005-03-09  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* misc/stream-tls.c: s/sun/sun_addr/g

2005-02-28  Ervin Yan  <ervin.yan@sun.com>

        * data/iiimp-dataP.h

        fix the type cast problem which cause transportation broken
        for POSIX I/O data. 

2005-01-07  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-hotkey-state-notify.c

        Fix to switch language using Language Selection Window.

2004-12-19  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-ns.c

	Changed file/path names used by namespace IO APIs from 
	IIIMP_string to IIIMP_utf8string

2004-12-18  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* data/im-hotkey-notify.c (iiimp_hotkey_notify_unpack):
	handle 0(zero) as a valid hotkey_id

2004-12-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-ns.c
        * data/im-ns-reply.c
        * data/im-message.c
        * data/im-ns-listener-reply.c

        Changes made to get the errno for NS IO APIs.

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-ns.c
        * data/im-ns-reply.c
        * data/im-message.c

        More friendly POSIX IO APIs (now returns the exact error value
        so that LEs can handle error conditions)

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * data/im-ns.c
        * data/iiimp-dataP.h
        * data/comp-utf8string.c
        * data/im-ns-reply.c
        * data/iiimp-message.h
        * data/im-message.c
        * Makefile.am

        Implementation of rest of POSIX IO system calls. Protocols added    
        for opendir(), readdir(), closedir(), stat() and lstat()

2004-12-01  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* data/im-ns-listener.c
	* data/im-ns.c
	* data/im-ns-reply.c
	* data/im-ns-listener-reply.c
	* data/iiimp-dataP.h
	* data/print-misc.c
	* data/iiimp-message.h
	* data/im-message.c

	- Implementation of next set of POSIX IO system calls. Protocols 
	  added for mkdir(), rmdir(), lseek(), unlink(), rename(), fcntl(),
	  symlink(), creat(), truncate()

	- Fixed compiler warnings

2004-11-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* Makefile.am
	* data/im-ns.c
	* data/iiimp-dataP.h
	* data/im-ns-reply.c
	* data/print-misc.c
	* data/iiimp-message.h
	* data/im-message.c

        Implementation of POSIX IO API (open, read, write, close) protocol

2004-11-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Don't override CFLAGS, CXXFLAGS and LDFLAGS.

2004-11-02  Sriram Swaminathan <sriram.swaminathan@sun.com>

	* data/im-ns-listener.c (added)
	* data/iiimp-dataP.h
	* data/im-read-ns-reply.c (deleted)
	* data/print-misc.c
	* data/iiimp-message.h
	* data/im-message.c
	* data/im-read-ns.c (deleted)
	* data/im-ns-listener-reply.c (added)
	* Makefile.am

 
	Since protocols are going to be introduced for OPEN, READ, WRITE
        separately, IM_READ_NS is renamed as IM_NS_LISTENER which will be
        specific to listener functionality
        
2004-10-31  Yu Shao  <yshao@redhat.com>

	* data/comp-annotation-value.c
	* data/im-geticvalues.c
	* data/im-getimvalues.c
	* data/im-message.c
	* data/im-misc.c
	* data/im-read-ns.c
	* data/im-read-ns-reply.c
	* data/iiimp-dataP.h
	* misc/role-data-client.c
	* misc/stream-socket.c
	* misc/stream-tls.c
	
	miscellaneous cleanups for warnings to avoid potential bugs

2004-10-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* Makefile.am
	* data/im-read-ns.c
	* data/im-read-ns-reply.c
	* data/im-message.c
	* data/print-misc.c
	* data/iiimp-message.h
	* data/iiimp-dataP.h

        Added new protocol IM_READ_NS and IM_READ_NS_REPLY 

2004-09-30  Yu Shao  <yshao@redhat.com>

	* data/comp-imattribute.c (iiimp_imattribute_unpack):
	use size_t instead of int to get working on 64-bit architectures.

2004-09-29  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* misc/role-data-client.c (iiimf_role_data_client_auth_password):
	don't create mysterious $(HOME)/.iiim/auth/passwd file

2004-09-24  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* data/iiimp-dataP.h (GET_SCOPE_FOR_HOTKEY):
	remove space (0x20) after \ (at two locations)

2004-08-27  Akira TAGOH  <tagoh@redhat.com>

	* data/iiimp-dataP.h: added GET_SCOPE_FOR_HOTKEY and GETU15 macros for
	the big endian.

2004-08-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>
        * data/iiimp-message.h
        * data/im-message.c
        * data/iiimp-dataP.h
        * data/print-misc.c

        new protocol iiimp_hotkey_state_notify related changes.

2004-08-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>
        * lib/iiimp/Makefile.am
        * lib/iiimp/data/im-hotkey-state-notify.c 

        Added new protocol IM_HOTKEY_STATE_NOTIFY and 
        IM_HOTKEY_STATE_NOTIFY_REPLY 

2004-08-02  Motonobu Ichimura <famao@openi18n.org>

        * data/im-hotkey-notify.c: doesn't send hotkey message
        if iiimsf doesn't support protocol version 3 or later.

        * data/comp-hotkey.c: fix memory leak.

        * misc/stream-socket.c: handle SIGPIPE

        * misc/stream-tls.c: remove unneeded message.

2004-07-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* misc/stream-socket.c: s/sun/sun_addr for build on Solaris

2004-07-12  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* configure.ac : fix build on the systems where openssl-devel 0.9.6 
	is installed without pkgconfig file, openssl.pc.

2004-07-12  Motonobu Ichimura  <famao@openi18n.org>

        * misc/stream-socket.c: add unix domain support.
        (create_socket_stream_unix): new function.

2004-07-12  Motonobu Ichimura  <famao@openi18n.org>

        * misc/stream-tls.c: added.
        * configure.ac: add PKG_CONFIG_MODULES for OpenSSL.
        * Makefile.am:
        (libiiimp_la_SOURCES): added misc/stream-tls.c

2004-06-17  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * data/im-hotkey-notify.c
  * data/im-register-hotkeys.c
  * data/comp-hotkeys.c
  * data/iiimp-message.h
  * data/im-message.c
  * data/im-misc.c
  * data/iiimp-dataP.h
  * data/print-misc.c
  * Makefile.am

  Enabled HOTKEY protocol.

  * data/comp-keyevent.c

  Fixed the problem while having multiple HOTKEYS and each having multiple
  keyevents.

2004-04-30  Motonobu Ichimura  <famao@momonga-linux.org>

	* data/im-getimvalues.c (iiimp_getimvalues_new):
	added REQUIRE_PROTOCOL_VERSION not to send a request
	to old iiimsf.

2004-03-29  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* misc/request-reply.c: 
	* misc/opcode-reply.c: 
	* misc/sequence.c: 
	* data/im-message.c: 
	* data/print-misc.c:
	added IM_AUX_GETVALUES/IM_AUX_GETVALUES_REPLY

2004-02-13  ILGYOUNG PARK  <karl.park@sun.com>

	* configure.ac: add entry for new spec file
	* configure   : updated configure with spec file
	
2003-11-19  Motonobu Ichimura  <famao@momonga-linux.org>

	* Makefile.am: remove -module flag


2003-06-24  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/comp-misc.c
	(iiimp_inputmethod_descriptor_create):
	Added a new argument "idname", and pass it
	to iiimp_inputmethod_descriptor_new.

	* data/comp-inputmethod-descriptor.c
	(iiimp_inputmethod_descriptor_new): Added a new argument,
	"idname".  Put "rdun" at the last entry.  
	(iiimp_inputmethod_descriptor_new): Made it enable only for
	protocol version 3 or later.
	(iiimp_inputmethod_descriptor_delete): Delete
	im_desk->idname	as well.
	(iiimp_inputmethod_descriptor_pack): Pack im_desk->idname
	as well.  (Note that "rdun" is packed at the end.)
	(iiimp_inputmethod_descriptor_unpack): Unpack r->idname
	as well.
	(iiimp_inputmethod_descriptor_print): Print m->idname
	as well.

2003-06-20  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/im-connect.c (iiimp_connect_pack):
	Send data_s->protocol_version as a protocol version.

	* data/print-misc.c (opcode_string): Added a new entry
	for IM_PROTOCOL_VERSION.

	* data/iiimp-misc.c: include iiimp.h instead of iiimp-data.h.
	(iiimp_data_s_limit_protocol_version): New function.
	(iiimp_data_s_with_protocol_version_new): Check the validity of
	"protocol_version" first.

2003-06-17  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (LIBIIIMP_MINOR_VERSION):
	Set the minor version to 3.
	(AC_INIT): Set version to 0.3.

2003-06-13  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/iiimp-misc.c (iiimp_data_s_new): Must return a value.

	* misc/stream-socket.c (iiimf_listen_socket_stream):
	Set hints.ai_flags to AI_PASSIVE.  AI_ADDRCONF does not
	seem to appropriate for this case.

2003-06-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (IM_CHECK_SOCKET): Check for socket facility.

	* Makefile.am (libiiimp_la_LDFLAGS): Used -g instead of -Wl,-g.
	(libiiimp_la_LIBADD): Link with $(SOCKET_LIBS).

2003-06-10  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (AC_OUTPUT): Don't generate
	data/Makefile nor misc/Makefile, which are never
	used.

2003-06-05  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/im-protocol-version.c: New file.

	* misc/stream.c (iiimf_stream_send): When iiimp_data_status is
	IIIMP_DATA_PROTOCOL_VERSION_ERROR, return
	IIIMF_STATUS_PROTOCOL_VERSION.

	* Makefile.am (libiiimp_la_SOURCES): Added
	data/im-protocol-version.c.

	* data/im-connect.c (iiimp_connect_new): Set
	data_s->protocol_version as a protocol version.
	(iiimp_connect_unpack): If the incoming protocol version
	is lower than we expected, downgrade the version.

	* data/iiimp-dataP.h (REQUIRE_PROTOCOL_VERSION): New macro.
	(iiimp_data_s): Add protocol_version.
	(iiimp_protcol_version_print): Added.

	* data/im-message.c (message_delete_func): Added
	iiimp_protocol_version_delete.
	(iiimp_message_pack<IM_PROTOCOL_VERSION>): Added.
	(message_unpack_func): Added iiimp_protocol_version_unpack.
	(message_print_func): Added
	iiimp_protocol_version_print.

	* data/iiimp-misc.c (iiimp_data_s_get_protocol_version):
	New function.
	(iiimp_data_s_with_protocol_version_new): New function.
	(iiimp_data_s_new): Made it only call
	iiimp_data_s_with_protocol_version_new.

	* data/iiimp-message.h (iiimp_protocol_version_delete)
	(iiimp_protocol_version_unpack): Added new decls.

2003-05-06  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (LIBIIIMP_MINOR_VERSION, AC_INIT):
	Set minor version to 2.

2003-05-05  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/comp-imattribute.c (iiimp_imattribute_unpack):
	Correctly set the remaining size to *nbyte.

2003-03-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* Makefile.am (libiiimp_la_SOURCES): Add header files as well.
	(include_HEADERS): Install public header files.

	* Makefile.am (libdir): commented out.

2003-02-28  MIYASHITA Hisashi  <himi@li18nux.org>

	* data/comp-object-descriptor.c (iiimp_object_descriptor_unpack):
	Update attribute ID only if the dynamic ID is not a premitive predefined ID.

2003-01-28  MIYASHITA Hisashi  <himi@li18nux.org>

	* misc/stream-socket.c: Not include stream-socket.h, role-data-client.h,
	and role-data-server.h.
	(IIIMF_STREAM_SOCKET_FLAGS): New enum.
	(create_sockpriv, delete_sockpriv): New function.
	(stream_socket_client_open): Removed.  iiimf_connect_socket_stream is
	substituted for it.
	(iiimf_connect_socket_stream): New function.  It connects to "node:service"
	and create a new stream.
	(stream_socket_server_open): Removed.  iiimf_listen_socket_stream is
	substituted for it.
	(iiimf_listen_socket_stream): New function.  It listens to "node:service"
	and create a new stream.
	(stream_socket_server_accept): Removed.  iiimf_accept_socket_stream is
	substituted for it.
	(iiimf_accept_socket_stream): Accept a new incoming connection, and creates
	a new stream.
	(iiimf_delete_socket_stream): New function.
	(stream_socket_read): Adapt it to the new interface.  And when the connection
	is closed, return IIIMF_STATUS_CONNECTION_CLOSED.
	(stream_socket_write): Adapt it to the new interface.

	* misc/stream.c (iiimf_stream_receive): When stream->proc_read
	is not set, return IIIMF_STATUS_STREAM immediately.
	(iiimf_stream_send): Likewise.

	* misc/request.c (iiimf_send_message, iiimf_receive_message):
	Removed.

	* Makefile.am (libiiimp_la_SOURCES): Add stream-socket.c.
	* Makefile.in: Updated.

2003-01-21  MIYASHITA Hisashi  <himi@li18nux.org>

	* misc/request.c (iiimf_send_message, iiimf_receive_message):
	New functions.

	* misc/role-data-client.c (iiimf_im_user_set): New function.
	(iiimf_role_data_client_delete): Free items only if it is not NULL,
	and free client->password as well.
	(iiimf_role_data_client_auth_password): When role_data.client->password,
	duplicate and return it.

	* misc/role-data-client.h (IIIMF_role_data_client): add password.

2002-11-03  MIYASHITA Hisashi  <himi@li18nux.org>

	* misc/Makefile.in: Updated.
	* data/Makefile.in: Updated.
	* Makefile.in: Updated.

2002-10-28  MIYASHITA Hisashi  <himi@li18nux.org>

 	* data/Makefile.am (noinst_LIBRARIES): Define it
	after *_SOURCES macro variable.
	* misc/Makefile.am (noinst_LIBRARIES): Likewise.

	* data/Makefile.in: Updated.
	* misc/Makefile.in: Updated.
	* Makefile.in: Updated.
